> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive Polar webhook



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json post /webhooks/polar
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /webhooks/polar:
    post:
      tags:
        - webhooks
      summary: Receive Polar webhook
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PolarWebhookPayload'
      responses:
        '200':
          description: Acknowledged
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookAck'
        '400':
          description: Bad webhook request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingError'
        '401':
          description: Invalid signature
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingError'
        '413':
          description: Payload too large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingError'
        '500':
          description: Dispatch failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingError'
        '503':
          description: Webhook not configured
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingError'
components:
  schemas:
    PolarWebhookPayload:
      type: object
      additionalProperties:
        nullable: true
    WebhookAck:
      type: object
      properties:
        received:
          type: boolean
          enum:
            - true
      required:
        - received
    BillingError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail

````